Bug 1022308 - Build source jar for stilts-stomplet-server-bundle-0.1.26
Build source jar for stilts-stomplet-server-bundle-0.1.26
Status: CLOSED EOL
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Build (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: EAP 6.3.0
Assigned To: Yong Yang
Petr Kremensky
:
Depends On:
Blocks: 908741
  Show dependency treegraph
 
Reported: 2013-10-22 22:26 EDT by Paul Gier
Modified: 2016-08-31 04:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-31 04:28:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Gier 2013-10-22 22:26:28 EDT
The prod build of stilts-stomplet-server-bundle-0.1.26 should produce a -sources jar for the Maven repository.
https://brewweb.devel.redhat.com/buildinfo?buildID=229605
Comment 1 Lin Gao 2013-10-24 01:20:51 EDT
The build in question builds using maven-bundle-plugin:2.3.5-redhat-1, which based on upstream version 2.3.5, which is incompatible with maven-source-plugin, see: https://issues.apache.org/jira/browse/FELIX-3058
Comment 2 Lin Gao 2013-10-24 05:22:43 EDT
Mead Build: org.projectodd.stilts-stilts-0.1.26.redhat_3-1 (https://brewweb.devel.redhat.com/buildinfo?buildID=301777)

Brew Build: stilts-0.1.26-9.redhat_3.1.ep6.el6 (https://brewweb.devel.redhat.com/buildinfo?buildID=301787)
Comment 3 Lin Gao 2013-10-24 05:32:41 EDT
Pull Request: https://github.com/jbossas/jboss-eap/pull/606
Comment 4 Lin Gao 2013-10-24 08:26:13 EDT
Although the source jar is generated after this fixing, but the stilts-stomplet-server-bundle.jar contains inner jars, is it an issue?
Comment 5 Vladimir Dosoudil 2013-10-25 09:43:32 EDT
Merged in https://github.com/jbossas/jboss-eap/commit/73d5515
Comment 6 Pavel Jelinek 2013-11-07 11:27:32 EST
Verified for EAP 6.2.0 ER7.

There is 
jboss-eap-6.2.0.GA-maven-repository/org/projectodd/stilts/stilts-stomplet-server-bundle/0.1.26.redhat-3/stilts-stomplet-server-bundle-0.1.26.redhat-3-sources.jar
in jboss-eap-6.2.0.ER7-maven-repository.zip. It contains 1 source file /org/projectodd/stilts/stomplet/bundle/StompletServerActivator.java. It's ok. 

But it does NOT contain sources for other jar files bundled inside of stilts-stomplet-server-bundle-0.1.26.redhat-3.jar mainly 
stilts-conduit-server-core-0.1.26.redhat-3.jar,
stilts-conduit-server-spi-0.1.26.redhat-3.jar,
stilts-stomp-api-0.1.26.redhat-3.jar,
stilts-stomp-common-0.1.26.redhat-3.jar,
stilts-stomplet-api-0.1.26.redhat-3.jar,
stilts-stomplet-server-core-0.1.26.redhat-3.jar,
stilts-stomp-server-core-0.1.26.redhat-3.jar,
stilts-stomp-server-spi-0.1.26.redhat-3.jar. 
There isn't any source file for these jar files in the jboss-eap-6.2.0.GA-maven-repository.
Comment 7 Lin Gao 2013-11-08 01:15:02 EST
The mead builds generates the sources already, I don't know why the sources are missing from the mead repository.

see: http://download.eng.bos.redhat.com/brewroot/repos/jb-eap-6-rhel-6-build/latest/maven/org/projectodd/stilts/stilts-stomp-server-core/0.1.26.redhat-3/stilts-stomp-server-core-0.1.26.redhat-3-sources.jar
Comment 8 Pavel Jelinek 2013-11-08 07:07:32 EST
To be more specific: the problem is that sources for 

stilts-conduit-server-core-0.1.26.redhat-3.jar,
stilts-conduit-server-spi-0.1.26.redhat-3.jar,
stilts-stomp-api-0.1.26.redhat-3.jar,
stilts-stomp-common-0.1.26.redhat-3.jar,
stilts-stomplet-api-0.1.26.redhat-3.jar,
stilts-stomplet-server-core-0.1.26.redhat-3.jar,
stilts-stomp-server-core-0.1.26.redhat-3.jar,
stilts-stomp-server-spi-0.1.26.redhat-3.jar

are not anywhere in the maven repo zip.
Comment 10 Paul Gier 2013-11-11 10:39:14 EST
Ok, I think we should skip this fix for 6.2, and assign an upstream issue to determine the right fix for this in the community jars for 6.3.  I'm not sure whether it's correct to put the sources from the nested jars directly in the aggregator source jar.
Comment 11 Paul Gier 2013-11-11 10:39:38 EST
Ok, I think we should skip this fix for 6.2, and assign an upstream issue to determine the right fix for this in the community jars for 6.3.  I'm not sure whether it's correct to put the sources from the nested jars directly in the aggregator source jar.
Comment 12 Yong Yang 2014-04-08 07:33:20 EDT
PR: https://github.com/jbossas/jboss-eap/pull/1198
Comment 13 Pavel Jelinek 2014-05-01 00:45:58 EDT
Unfortunatelly in the jboss-eap-6.3.0.ER2-maven-repository.zip there aren't any sources for bundled jars mentioned in comment 8 https://bugzilla.redhat.com/show_bug.cgi?id=1022308#c8 yet.
Comment 14 Yong Yang 2016-08-31 04:28:24 EDT
I think this issue could be closed now.

Note You need to log in before you can comment on or make changes to this bug.